diff system-image.sh @ 1074:dd5be60a2794

Show squashfs progress indicator when not in FORK mode.
author Rob Landley <rob@landley.net>
date Fri, 14 May 2010 01:56:15 -0500
parents 94b0b4ef1157
children e992bc65b048
line wrap: on
line diff
--- a/system-image.sh	Fri May 14 01:34:59 2010 -0500
+++ b/system-image.sh	Fri May 14 01:56:15 2010 -0500
@@ -140,7 +140,8 @@
 then
   IMAGE="image-${ARCH}.sqf"
   mksquashfs "${NATIVE_ROOT}" "$STAGE_DIR/$IMAGE" -noappend -all-root \
-    -no-progress -p "/dev d 755 0 0" -p "/dev/console c 666 0 0 5 1" || dienow
+    ${FORK:+-no-progress} -p "/dev d 755 0 0" \
+    -p "/dev/console c 666 0 0 5 1" || dienow
 else
   echo "Unknown image type." >&2
   dienow